%global pkgname Perl6-Slurp

Name:           perl-Perl6-Slurp
Version:        0.051005
Release:        5%{?dist}
Summary:        Implemention of the Perl 6 'slurp' built-in
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Perl6-Slurp/
Source0:        http://www.cpan.org/authors/id/D/DC/DCONWAY/%{pkgname}-%{version}.tar.gz
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:      noarch

%description
slurp takes:

a filename,
a filehandle,
a typeglob reference,
an IO::File object, or
a scalar reference,

converts it to an input stream (using open() if necessary), 
and reads in the entire stream. If slurp fails to set up or 
read the stream, it throws an exception.

%prep
%setup -qn %{pkgname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.051005-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 03 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.051005-4
- Perl 5.22 rebuild

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.051005-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.051005-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 27 2014 Christopher Meng <rpm@cicku.me> - 0.051005-1
- Update to 0.051005

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.051003-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 0.051003-3
- Perl 5.18 rebuild

* Wed Jul 03 2013 Christopher Meng <rpm@cicku.me> - 0.051003-2
- Fix some issues.

* Tue Mar 05 2013 Christopher Meng <rpm@cicku.me> - 0.051003-1
- Initial Package.
